FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 06-26-2012, 07:02 PM
Philip Ashmore
 
Default apt-get source gets a more recent version of linux than I can install

Hi there.

I noticed a few hours ago that apt-get source linux gets me 3.2.21-1,
but the I have the "latest" kernel installed which is 3.2.20-1. What gives?


Philip


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4FEA072D.8040805@philipashmore.com">http://lists.debian.org/4FEA072D.8040805@philipashmore.com
 
Old 06-26-2012, 07:11 PM
Vincent Bernat
 
Default apt-get source gets a more recent version of linux than I can install

❦ 26 juin 2012 21:02 CEST, Philip Ashmore <contact@philipashmore.com>*:

> I noticed a few hours ago that apt-get source linux gets me 3.2.21-1,
> but the I have the "latest" kernel installed which is 3.2.20-1. What
> gives?

The latest one may not be available for your architecture on your
current mirror yet.
--
die_if_kernel("Whee... Hello Mr. Penguin", current->tss.kregs);
2.2.16 /usr/src/linux/arch/sparc/kernel/traps.c
 
Old 06-26-2012, 07:14 PM
Andrei POPESCU
 
Default apt-get source gets a more recent version of linux than I can install

On Ma, 26 iun 12, 20:02:05, Philip Ashmore wrote:
> Hi there.
>
> I noticed a few hours ago that apt-get source linux gets me
> 3.2.21-1, but the I have the "latest" kernel installed which is
> 3.2.20-1. What gives?

apt-get source will get the most recent available source for the
package, regardless of what version you have installed. If you feel the
explanation in apt-get(8) is unclear you might want to propose a patch.

Kindly address such questions to debian-user in the future

Kind regards,
Andrei
--
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
 
Old 06-26-2012, 08:13 PM
Ben Hutchings
 
Default apt-get source gets a more recent version of linux than I can install

On Tue, Jun 26, 2012 at 09:11:03PM +0200, Vincent Bernat wrote:
> ❦ 26 juin 2012 21:02 CEST, Philip Ashmore <contact@philipashmore.com>*:
>
> > I noticed a few hours ago that apt-get source linux gets me 3.2.21-1,
> > but the I have the "latest" kernel installed which is 3.2.20-1. What
> > gives?
>
> The latest one may not be available for your architecture on your
> current mirror yet.

And FTBFS on i386. Fixed in today's 3.2.21-2.

Ben.

--
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
- Albert Camus


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120626201353.GV2753@decadent.org.uk">http://lists.debian.org/20120626201353.GV2753@decadent.org.uk
 

Thread Tools




All times are GMT. The time now is 07:40 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org